Bio::LiveSeq::Mutation(3)

NAME
Bio::LiveSeq::Mutation - Mutation event descriptor class

SYNOPSIS
  # full descrition of a point mutation
  $mutation1a = Bio::LiveSeq::Mutation->new ( -seq => 'A',
                                              -seqori => 'T',
                                              -pos  => 100,
                                              -len => 1 # optional, defaults to length(seq)
                                             );

  # minimal information for a point mutation
  $mutation1b = Bio::LiveSeq::Mutation->new ( -seq => 'A',
                                              -pos  => 100
                                              );
  # insertion
  $mutation2 = Bio::LiveSeq::Mutation->new ( -seq => 'ATT',
                                             -pos  => 100,
                                             -len => 0
                                             );
  # deletion
  $mutation3 = Bio::LiveSeq::Mutation->new ( -seq => '',  # optional
                                             -seqori => 'TTG',  # optional
                                             -pos  => 100
                                             -len => 3
                                             );
  # complex
  $mutation4 = Bio::LiveSeq::Mutation->new ( -seq => 'CC',
                                             -seqori => 'TTG',  # optional
                                             -pos  => 100
                                             -len => 3
                                             );

DESCRIPTION
This class describes a local mutation event using minimalistic description. It is not necessary to know anything about the original sequence. You need to give the changed sequence, the position of the mutation in the (unidentified) reference sequence, and the length of the affected subsequence in the reference sequence. If the original allele sequence is given, the objects applying the mutation into the reference sequence (e.g. Bio::LiveSeq::Mutator) might check for its validity.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing lists Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Heikki Lehvaslaiho
Email: heikki-at-bioperl-dot-org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  seq
 Title   : seq
 Usage   : $obj->seq();
 Function:

            Sets and returns the mutated sequence. No checking is done
            to validate the symbols.

 Example :
 Returns : string
 Args    : integer

  seqori
 Title   : seqori
 Usage   : $obj->seqori();
 Function:

            Sets and returns the original subsequence in the reference
            sequence. No checking is done to validate the symbols.
            Optional value.

 Example :
 Returns : string
 Args    : string

  pos
 Title   : pos
 Usage   : $obj->pos();
 Function:

            Sets and returns the position of the first element in the
            sequence.

 Example :
 Returns : string
 Args    : integer

  len
 Title   : len
 Usage   : $obj->len();
 Function:

            Sets and returns the len of the affected original allele
            sequence.  If value is not set, defaults to the lenght of
            the mutated sequence (seq).

 Example :
 Returns : string
 Args    : string

  label
 Title   : label
 Usage   : $obj->label();
 Function:

            Sets and returns the label of the affected original allele
            location. Label is a stable identifier whereas location
            can be changed by mutations. Label comes from
            l<Bio::LiveSeq::Gene>.

 Example :
 Returns : string
 Args    : string

  transpos
 Title   : transpos
 Usage   : $obj->transpos();
 Function:

            Sets and returns the transcript position of the mutation.
            Set when associated with a reference sequence. Value
            depends on reference molecule and the co-ordinate system
            used.

 Example :
 Returns : string
 Args    : integer

  issue
 Title   : issue
 Usage   : $obj->issue();
 Function:

            Sets and returns the position of the mutation in an array
            of mutations to be issued. Set after the validity of the
            mutation has been confirmed.

 Example :
 Returns : string
 Args    : integer

  prelabel
 Title   : prelabel
 Usage   : $obj->prelabel();
 Function:

            Sets and returns the prelabel of the affected original allele
            location. Prelabel is a stable identifier whereas location
            can be changed by mutations. Prelabel comes from
            l<Bio::LiveSeq::Gene>.

 Example :
 Returns : string
 Args    : string

  postlabel
 Title   : postlabel
 Usage   : $obj->postlabel();
 Function:

            Sets and returns the postlabel of the affected original allele
            location. Postlabel is a stable identifier whereas location
            can be changed by mutations. Postlabel comes from
            l<Bio::LiveSeq::Gene>.

 Example :
 Returns : string
 Args    : string

  lastlabel
 Title   : lastlabel
 Usage   : $obj->lastlabel();
 Function:

            Sets and returns the lastlabel of the affected original allele
            location. Lastlabel is a stable identifier whereas location
            can be changed by mutations. Lastlabel comes from
            l<Bio::LiveSeq::Gene>.

 Example :
 Returns : string
 Args    : string